# DaprProtos.AppConnectionHealthProperties (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.AppConnectionHealthProperties

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.AppConnectionHealthProperties

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.AppConnectionHealthPropertiesOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.AppConnectionHealthProperties
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.AppConnectionHealthPropertiesOrBuilder

Protobuf type `dapr.proto.runtime.v1.AppConnectionHealthProperties`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.AppConnectionHealthProperties.Builder` Protobuf type `dapr.proto.runtime.v1.AppConnectionHealthProperties`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `HEALTH_CHECK_PATH_FIELD_NUMBER`
`static int` `HEALTH_PROBE_INTERVAL_FIELD_NUMBER`
`static int` `HEALTH_PROBE_TIMEOUT_FIELD_NUMBER`
`static int` `HEALTH_THRESHOLD_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static DaprProtos.AppConnectionHealthProperties` `getDefaultInstance()`
`DaprProtos.AppConnectionHealthProperties` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getHealthCheckPath()` `string health_check_path = 1 [json_name = "healthCheckPath"];`
`com.google.protobuf.ByteString` `getHealthCheckPathBytes()` `string health_check_path = 1 [json_name = "healthCheckPath"];`
`String` `getHealthProbeInterval()` `string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`com.google.protobuf.ByteString` `getHealthProbeIntervalBytes()` `string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`String` `getHealthProbeTimeout()` `string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`com.google.protobuf.ByteString` `getHealthProbeTimeoutBytes()` `string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`int` `getHealthThreshold()` `int32 health_threshold = 4 [json_name = "healthThreshold"];`
`com.google.protobuf.Parser<DaprProtos.AppConnectionHealthProperties>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static DaprProtos.AppConnectionHealthProperties.Builder` `newBuilder()`
`static DaprProtos.AppConnectionHealthProperties.Builder` `newBuilder​(DaprProtos.AppConnectionHealthProperties prototype)`
`DaprProtos.AppConnectionHealthProperties.Builder` `newBuilderForType()`
`protected DaprProtos.AppConnectionHealthProperties.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.AppConnectionHealthProperties` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.AppConnectionHealthProperties` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(byte[] data)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(InputStream input)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(ByteBuffer data)`
`static DaprProtos.AppConnectionHealthProperties` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.AppConnectionHealthProperties>` `parser()`
`DaprProtos.AppConnectionHealthProperties.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### HEALTH_CHECK_PATH_FIELD_NUMBER

    public static final int HEALTH_CHECK_PATH_FIELD_NUMBER

See Also:
  Constant Field Values

#### HEALTH_PROBE_INTERVAL_FIELD_NUMBER

    public static final int HEALTH_PROBE_INTERVAL_FIELD_NUMBER

See Also:
  Constant Field Values

#### HEALTH_PROBE_TIMEOUT_FIELD_NUMBER

    public static final int HEALTH_PROBE_TIMEOUT_FIELD_NUMBER

See Also:
  Constant Field Values

#### HEALTH_THRESHOLD_FIELD_NUMBER

    public static final int HEALTH_THRESHOLD_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getHealthCheckPath

    public String getHealthCheckPath()

`string health_check_path = 1 [json_name = "healthCheckPath"];`

Specified by:
  `getHealthCheckPath` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthCheckPath.

#### getHealthCheckPathBytes

    public com.google.protobuf.ByteString getHealthCheckPathBytes()

`string health_check_path = 1 [json_name = "healthCheckPath"];`

Specified by:
  `getHealthCheckPathBytes` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The bytes for healthCheckPath.

#### getHealthProbeInterval

    public String getHealthProbeInterval()

`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Specified by:
  `getHealthProbeInterval` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthProbeInterval.

#### getHealthProbeIntervalBytes

    public com.google.protobuf.ByteString getHealthProbeIntervalBytes()

`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Specified by:
  `getHealthProbeIntervalBytes` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The bytes for healthProbeInterval.

#### getHealthProbeTimeout

    public String getHealthProbeTimeout()

`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Specified by:
  `getHealthProbeTimeout` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthProbeTimeout.

#### getHealthProbeTimeoutBytes

    public com.google.protobuf.ByteString getHealthProbeTimeoutBytes()

`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Specified by:
  `getHealthProbeTimeoutBytes` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The bytes for healthProbeTimeout.

#### getHealthThreshold

    public int getHealthThreshold()

`int32 health_threshold = 4 [json_name = "healthThreshold"];`

Specified by:
  `getHealthThreshold` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthThreshold.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(ByteBuffer data)
                                                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(ByteBuffer data,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(com.google.protobuf.ByteString data)
                                                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(com.google.protobuf.ByteString data,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(byte[] data)
                                                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(byte[] data,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(InputStream input)
                                                              throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(InputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.AppConnectionHealthProperties parseDelimitedFrom​(InputStream input)
                                                                       throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.AppConnectionHealthProperties parseDelimitedFrom​(InputStream input,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(com.google.protobuf.CodedInputStream input)
                                                              throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.AppConnectionHealthProperties parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.AppConnectionHealthProperties.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.AppConnectionHealthProperties.Builder newBuilder()

#### newBuilder

    public static DaprProtos.AppConnectionHealthProperties.Builder newBuilder​(DaprProtos.AppConnectionHealthProperties prototype)

#### toBuilder

    public DaprProtos.AppConnectionHealthProperties.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.AppConnectionHealthProperties.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.AppConnectionHealthProperties getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.AppConnectionHealthProperties> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.AppConnectionHealthProperties> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.AppConnectionHealthProperties getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`